## com.ibm.lab.soln.sqleditor.sql
Class SQLCompletionProcessor.Validator

    java.lang.Object
      |
      +--com.ibm.lab.soln.sqleditor.sql.SQLCompletionProcessor.Validator

All Implemented Interfaces:
  org.eclipse.jface.text.contentassist.IContextInformationPresenter, org.eclipse.jface.text.contentassist.IContextInformationValidator

Enclosing class:
  SQLCompletionProcessor

protected static class SQLCompletionProcessor.Validator
extends java.lang.Object
implements org.eclipse.jface.text.contentassist.IContextInformationValidator, org.eclipse.jface.text.contentassist.IContextInformationPresenter

Simple content assist tip closer. The tip is valid in a range of 5 characters around its popup location.

Field Summary
`protected int` | `fInstallOffset`

Constructor Summary
`protected` | `SQLCompletionProcessor.Validator()`

Method Summary
`void` | `install(org.eclipse.jface.text.contentassist.IContextInformation info, org.eclipse.jface.text.ITextViewer viewer, int offset)`
`boolean` | `isContextInformationValid(int offset)`
`boolean` | `updatePresentation(int documentPosition, org.eclipse.jface.text.TextPresentation presentation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fInstallOffset

    protected int fInstallOffset

Constructor Detail

### SQLCompletionProcessor.Validator

    protected SQLCompletionProcessor.Validator()

Method Detail

### install

    public void install(org.eclipse.jface.text.contentassist.IContextInformation info,
                        org.eclipse.jface.text.ITextViewer viewer,
                        int offset)

  Specified by:
    `install` in interface `org.eclipse.jface.text.contentassist.IContextInformationValidator`

### isContextInformationValid

    public boolean isContextInformationValid(int offset)

  Specified by:
    `isContextInformationValid` in interface `org.eclipse.jface.text.contentassist.IContextInformationValidator`

### updatePresentation

    public boolean updatePresentation(int documentPosition,
                                      org.eclipse.jface.text.TextPresentation presentation)

  Specified by:
    `updatePresentation` in interface `org.eclipse.jface.text.contentassist.IContextInformationPresenter`